package com.vendor.burn.ui.burners;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.burn.Messages;
import com.vendor.burn.model.PartitionItem;
import com.vendor.burn.model.define.IFastbootProgressMonitor;
import com.vendor.burn.model.devices.burners.PartitionBurner;
import com.vendor.burn.ui.burners.PartitionComposite;
import com.vendor.burn.utilitily.FileUtils;
import com.vendor.burn.utilitily.ZipUtils;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.util.List;
import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;
import org.eclipse.core.runtime.jobs.Job;
import org.eclipse.osgi.util.NLS;

class null extends Job {
  null(String name) {
    super(name);
  }
  
  protected IStatus run(IProgressMonitor monitor) {
    monitor.beginTask("Create USB package", 10);
    monitor.subTask("Create TempDirectory");
    String ProTemp = "ProTemp";
    File tempDirectory = new File(filePath + "/" + filePath);
    if (!tempDirectory.exists()) {
      if (!tempDirectory.mkdir())
        return Status.CANCEL_STATUS; 
    } else {
      ZipUtils.deleteAllFiles(tempDirectory);
    } 
    String tempDirectoryPath = "";
    try {
      tempDirectoryPath = tempDirectory.getCanonicalPath();
    } catch (IOException e1) {
      return Status.CANCEL_STATUS;
    } 
    monitor.subTask("Create Pro partition table XML");
    if (!PartitionComposite.this.createPartitionXmlForProUsb(tempDirectoryPath)) {
      if (tempDirectory.exists())
        ZipUtils.deleteAllFiles(tempDirectory); 
      fastbootMonitor.getEvent().setSuccess(false);
      monitor.done();
      fastbootMonitor.finish();
      return Status.CANCEL_STATUS;
    } 
    monitor.worked(1);
    monitor.subTask("Copy partition file to tempDirectory");
    List<PartitionItem> parts = ((PartitionBurner)PartitionComposite.this.getBurner()).getChildren();
    int size = parts.size();
    for (int i = 0; i < size; i++) {
      PartitionItem partition = parts.get(i);
      if (monitor.isCanceled()) {
        if (tempDirectory.exists())
          ZipUtils.deleteAllFiles(tempDirectory); 
        fastbootMonitor.getEvent().setSuccess(false);
        fastbootMonitor.getEvent().setMessage(Messages.BurnComposite_Usb_Pack_Canceled);
        monitor.done();
        fastbootMonitor.finish();
        return Status.CANCEL_STATUS;
      } 
      if (partition.isChecked()) {
        if (partition.getFile() == null) {
          if (tempDirectory.exists())
            ZipUtils.deleteAllFiles(tempDirectory); 
          fastbootMonitor.getEvent().setSuccess(false);
          fastbootMonitor.getEvent().setMessage(
              NLS.bind(Messages.AbstractBurner_msg_file_does_not_exist_in_row_, Integer.valueOf(i + 1)));
          monitor.done();
          fastbootMonitor.finish();
          return Status.CANCEL_STATUS;
        } 
        File file = partition.getFile();
        try {
          String filePathName = file.getCanonicalPath();
          String fileNewPath = tempDirectory.getCanonicalPath() + "/" + tempDirectory.getCanonicalPath();
          filePathName = filePathName.replace("\\", "/");
          fileNewPath = fileNewPath.replace("\\", "/");
          File oldFile = new File(filePathName);
          File newFile = new File(fileNewPath);
          boolean copy = FileUtils.copy(monitor, oldFile, newFile);
          if (!copy) {
            fastbootMonitor.getEvent().setSuccess(false);
            fastbootMonitor.getEvent().setMessage(NLS.bind(Messages.ERROR_INFO_DISK_SPACE_LOW, newFile));
            monitor.done();
            fastbootMonitor.finish();
            return Status.CANCEL_STATUS;
          } 
        } catch (IOException e) {
          return Status.CANCEL_STATUS;
        } 
      } 
    } 
    monitor.worked(3);
    monitor.subTask("Is compressed image");
    if (filePath != null) {
      File outFile = new File(filePath + "/" + filePath);
      OutputStream out = null;
      try {
        out = new FileOutputStream(outFile);
      } catch (FileNotFoundException e) {
        fastbootMonitor.getEvent().setSuccess(false);
        monitor.done();
        fastbootMonitor.finish();
        return Status.CANCEL_STATUS;
      } 
      ZipUtils.zipFolderToStream(tempDirectoryPath, out);
      ZipUtils.deleteAllFiles(tempDirectory);
      if (monitor.isCanceled()) {
        if (outFile.exists())
          FileUtils.deleteFile(outFile); 
        fastbootMonitor.getEvent().setSuccess(false);
        fastbootMonitor.getEvent().setMessage(Messages.BurnComposite_Usb_Pack_Canceled);
        monitor.done();
        fastbootMonitor.finish();
        return Status.CANCEL_STATUS;
      } 
    } 
    fastbootMonitor.getEvent().setSuccess(true);
    monitor.done();
    fastbootMonitor.finish();
    return Status.OK_STATUS;
  }
}
